module Flickrie
  NOT_IMPLEMENTED = "Not implemented yet"

  FLICKR_API_METHODS = {
    "flickr.activity.userComments"                => NOT_IMPLEMENTED,
    "flickr.activity.userPhotos"                  => NOT_IMPLEMENTED,

    "flickr.auth.checkToken"                      => NOT_IMPLEMENTED,
    "flickr.auth.getFrob"                         => NOT_IMPLEMENTED,
    "flickr.auth.getFullToken"                    => NOT_IMPLEMENTED,
    "flickr.auth.getToken"                        => NOT_IMPLEMENTED,

    "flickr.auth.oauth.checkToken"                => NOT_IMPLEMENTED,
    "flickr.auth.oauth.getAccessToken"            => NOT_IMPLEMENTED,

    "flickr.blogs.getList"                        => NOT_IMPLEMENTED,
    "flickr.blogs.getServices"                    => NOT_IMPLEMENTED,
    "flickr.blogs.postPhoto"                      => NOT_IMPLEMENTED,

    "flickr.collections.getInfo"                  => NOT_IMPLEMENTED,
    "flickr.collections.getTree"                  => NOT_IMPLEMENTED,

    "flickr.commons.getInstitutions"              => NOT_IMPLEMENTED,

    "flickr.contacts.getList"                     => NOT_IMPLEMENTED,
    "flickr.contacts.getListRecentlyUploaded"     => NOT_IMPLEMENTED,
    "flickr.contacts.getPublicList"               => NOT_IMPLEMENTED,
    "flickr.contacts.getTaggingSuggestions"       => NOT_IMPLEMENTED,

    "flickr.favorites.add"                        => NOT_IMPLEMENTED,
    "flickr.favorites.getContext"                 => NOT_IMPLEMENTED,
    "flickr.favorites.getList"                    => NOT_IMPLEMENTED,
    "flickr.favorites.getPublicList"              => NOT_IMPLEMENTED,
    "flickr.favorites.remove"                     => NOT_IMPLEMENTED,

    "flickr.galleries.addPhoto"                   => NOT_IMPLEMENTED,
    "flickr.galleries.create"                     => NOT_IMPLEMENTED,
    "flickr.galleries.editMeta"                   => NOT_IMPLEMENTED,
    "flickr.galleries.editPhoto"                  => NOT_IMPLEMENTED,
    "flickr.galleries.editPhotos"                 => NOT_IMPLEMENTED,
    "flickr.galleries.getInfo"                    => NOT_IMPLEMENTED,
    "flickr.galleries.getList"                    => NOT_IMPLEMENTED,
    "flickr.galleries.getListForPhoto"            => NOT_IMPLEMENTED,
    "flickr.galleries.getPhotos"                  => NOT_IMPLEMENTED,

    "flickr.groups.browse"                        => NOT_IMPLEMENTED,
    "flickr.groups.getInfo"                       => NOT_IMPLEMENTED,
    "flickr.groups.join"                          => NOT_IMPLEMENTED,
    "flickr.groups.joinRequest"                   => NOT_IMPLEMENTED,
    "flickr.groups.leave"                         => NOT_IMPLEMENTED,
    "flickr.groups.search"                        => NOT_IMPLEMENTED,

    "flickr.groups.discuss.replies.add"           => NOT_IMPLEMENTED,
    "flickr.groups.discuss.replies.delete"        => NOT_IMPLEMENTED,
    "flickr.groups.discuss.replies.edit"          => NOT_IMPLEMENTED,
    "flickr.groups.discuss.replies.getInfo"       => NOT_IMPLEMENTED,
    "flickr.groups.discuss.replies.getList"       => NOT_IMPLEMENTED,

    "flickr.groups.discuss.topics.add"            => NOT_IMPLEMENTED,
    "flickr.groups.discuss.topics.getInfo"        => NOT_IMPLEMENTED,
    "flickr.groups.discuss.topics.getList"        => NOT_IMPLEMENTED,

    "flickr.groups.members.getList"               => NOT_IMPLEMENTED,

    "flickr.groups.pools.add"                     => NOT_IMPLEMENTED,
    "flickr.groups.pools.getContext"              => NOT_IMPLEMENTED,
    "flickr.groups.pools.getGroups"               => NOT_IMPLEMENTED,
    "flickr.groups.pools.getPhotos"               => NOT_IMPLEMENTED,
    "flickr.groups.pools.remove"                  => NOT_IMPLEMENTED,

    "flickr.interestingness.getList"              => NOT_IMPLEMENTED,

    "flickr.machinetags.getNamespaces"            => NOT_IMPLEMENTED,
    "flickr.machinetags.getPairs"                 => NOT_IMPLEMENTED,
    "flickr.machinetags.getPredicates"            => NOT_IMPLEMENTED,
    "flickr.machinetags.getRecentValues"          => NOT_IMPLEMENTED,
    "flickr.machinetags.getValues"                => NOT_IMPLEMENTED,

    "flickr.panda.getList"                        => NOT_IMPLEMENTED,
    "flickr.panda.getPhotos"                      => NOT_IMPLEMENTED,

    "flickr.people.findByEmail"                   => "find_user_by_email",
    "flickr.people.findByUsername"                => "find_user_by_username",
    "flickr.people.getGroups"                     => NOT_IMPLEMENTED,
    "flickr.people.getInfo"                       => "get_user_info",
    "flickr.people.getLimits"                     => NOT_IMPLEMENTED,
    "flickr.people.getPhotos"                     => "get_(photos|videos|media)_from_user",
    "flickr.people.getPhotosOf"                   => "get_(photos|videos|media)_of_user",
    "flickr.people.getPublicGroups"               => NOT_IMPLEMENTED,
    "flickr.people.getPublicPhotos"               => "get_public_(photos|videos|media)_from_user",
    "flickr.people.getUploadStatus"               => "get_upload_status",

    "flickr.photos.addTags"                       => "tag_(photo|video|media)",
    "flickr.photos.delete"                        => "delete_(photo|video|media)",
    "flickr.photos.getAllContexts"                => NOT_IMPLEMENTED,
    "flickr.photos.getContactsPhotos"             => "get_(photos|videos|media)_from_contacts",
    "flickr.photos.getContactsPublicPhotos"       => "get_public_(photos|videos|media)_from_contacts",
    "flickr.photos.getContext"                    => "get_(photo|video|media)_context",
    "flickr.photos.getCounts"                     => "get_(photo|video|media)_counts",
    "flickr.photos.getExif"                       => "get_(photo|video)_exif",
    "flickr.photos.getFavorites"                  => "get_(photo|video)_favorites",
    "flickr.photos.getInfo"                       => "get_(photo|video|media)_info",
    "flickr.photos.getNotInSet"                   => "get_(photos|videos|media)_not_in_set",
    "flickr.photos.getPerms"                      => "get_(photo|video)_permissions",
    "flickr.photos.getRecent"                     => "get_recent_(photos|videos|media)",
    "flickr.photos.getSizes"                      => "get_(photo|video)_sizes",
    "flickr.photos.getUntagged"                   => "get_untagged_(photos|videos|media)",
    "flickr.photos.getWithGeoData"                => "get_(photos|videos|media)_with_geo_data",
    "flickr.photos.getWithoutGeoData"             => "get_(photos|videos|media)_without_geo_data",
    "flickr.photos.recentlyUpdated"               => "get_recently_updated_(photos|videos|media)",
    "flickr.photos.removeTag"                     => "untag_(photo|video|media)",
    "flickr.photos.search"                        => "search_(photos|videos|media)",
    "flickr.photos.setContentType"                => "set_(photo|video|media)_content_type",
    "flickr.photos.setDates"                      => "set_(photo|video|media)_dates",
    "flickr.photos.setMeta"                       => "set_(photo|video|media)_meta",
    "flickr.photos.setPerms"                      => "set_(photo|video|media)_permissions",
    "flickr.photos.setSafetyLevel"                => "set_(photo|video|media)_safety_level",
    "flickr.photos.setTags"                       => "set_(photo|video|media)_tags",

    "flickr.photos.comments.addComment"           => "comment_(photo|video|media)",
    "flickr.photos.comments.deleteComment"        => "delete_(photo|video|media)_comment",
    "flickr.photos.comments.editComment"          => "edit_(photo|video|media)_comment",
    "flickr.photos.comments.getList"              => "get_(photo|video|media)_comments",
    "flickr.photos.comments.getRecentForContacts" => "get_recently_commented_(photos|videos|media)_from_contacts",

    "flickr.photos.geo.batchCorrectLocation"      => NOT_IMPLEMENTED,
    "flickr.photos.geo.correctLocation"           => NOT_IMPLEMENTED,
    "flickr.photos.geo.getLocation"               => NOT_IMPLEMENTED,
    "flickr.photos.geo.getPerms"                  => NOT_IMPLEMENTED,
    "flickr.photos.geo.photosForLocation"         => NOT_IMPLEMENTED,
    "flickr.photos.geo.removeLocation"            => NOT_IMPLEMENTED,
    "flickr.photos.geo.setContext"                => NOT_IMPLEMENTED,
    "flickr.photos.geo.setLocation"               => NOT_IMPLEMENTED,
    "flickr.photos.geo.setPerms"                  => NOT_IMPLEMENTED,

    "flickr.photos.licenses.getInfo"              => "get_licenses",
    "flickr.photos.licenses.setLicense"           => "set_(photo|video|media)_license",

    "flickr.photos.notes.add"                     => NOT_IMPLEMENTED,
    "flickr.photos.notes.delete"                  => NOT_IMPLEMENTED,
    "flickr.photos.notes.edit"                    => NOT_IMPLEMENTED,

    "flickr.photos.people.add"                    => NOT_IMPLEMENTED,
    "flickr.photos.people.delete"                 => NOT_IMPLEMENTED,
    "flickr.photos.people.deleteCoords"           => NOT_IMPLEMENTED,
    "flickr.photos.people.editCoords"             => NOT_IMPLEMENTED,
    "flickr.photos.people.getList"                => NOT_IMPLEMENTED,

    "flickr.photos.suggestions.approveSuggestion" => NOT_IMPLEMENTED,
    "flickr.photos.suggestions.getList"           => NOT_IMPLEMENTED,
    "flickr.photos.suggestions.rejectSuggestion"  => NOT_IMPLEMENTED,
    "flickr.photos.suggestions.removeSuggestion"  => NOT_IMPLEMENTED,
    "flickr.photos.suggestions.suggestLocation"   => NOT_IMPLEMENTED,

    "flickr.photos.transform.rotate"              => "rotate_(photo|video|media)",

    "flickr.photos.upload.checkTickets"           => "check_upload_tickets",

    "flickr.photosets.addPhoto"                   => "add_(photos|videos|media)_to_set",
    "flickr.photosets.create"                     => "create_set",
    "flickr.photosets.delete"                     => "delete_set",
    "flickr.photosets.editMeta"                   => "edit_set_metadata",
    "flickr.photosets.editPhotos"                 => "edit_set_(photos|videos|media)",
    "flickr.photosets.getContext"                 => "get_set_context",
    "flickr.photosets.getInfo"                    => "get_set_info",
    "flickr.photosets.getList"                    => "get_sets_from_user",
    "flickr.photosets.getPhotos"                  => "get_(photos|videos|media)_from_set",
    "flickr.photosets.orderSets"                  => "order_sets",
    "flickr.photosets.removePhoto"                => "remove_(photos|videos|media)_from_set",
    "flickr.photosets.removePhotos"               => "remove_(photos|videos|media)_from_set",
    "flickr.photosets.reorderPhotos"              => "reorder_(photos|videos|media)_in_set",
    "flickr.photosets.setPrimaryPhoto"            => "set_set_primary_(photo|video|media)",

    "flickr.photosets.comments.addComment"        => NOT_IMPLEMENTED,
    "flickr.photosets.comments.deleteComment"     => NOT_IMPLEMENTED,
    "flickr.photosets.comments.editComment"       => NOT_IMPLEMENTED,
    "flickr.photosets.comments.getList"           => NOT_IMPLEMENTED,

    "flickr.places.find"                          => NOT_IMPLEMENTED,
    "flickr.places.findByLatLon"                  => NOT_IMPLEMENTED,
    "flickr.places.getChildrenWithPhotosPublic"   => NOT_IMPLEMENTED,
    "flickr.places.getInfo"                       => NOT_IMPLEMENTED,
    "flickr.places.getInfoByUrl"                  => NOT_IMPLEMENTED,
    "flickr.places.getPlaceTypes"                 => NOT_IMPLEMENTED,
    "flickr.places.getShapeHistory"               => NOT_IMPLEMENTED,
    "flickr.places.getTopPlacesList"              => NOT_IMPLEMENTED,
    "flickr.places.placesForBoundingBox"          => NOT_IMPLEMENTED,
    "flickr.places.placesForContacts"             => NOT_IMPLEMENTED,
    "flickr.places.placesForTags"                 => NOT_IMPLEMENTED,
    "flickr.places.placesForUser"                 => NOT_IMPLEMENTED,
    "flickr.places.resolvePlaceId"                => NOT_IMPLEMENTED,
    "flickr.places.resolvePlaceURL"               => NOT_IMPLEMENTED,
    "flickr.places.tagsForPlace"                  => NOT_IMPLEMENTED,

    "flickr.prefs.getContentType"                 => NOT_IMPLEMENTED,
    "flickr.prefs.getGeoPerms"                    => NOT_IMPLEMENTED,
    "flickr.prefs.getHidden"                      => NOT_IMPLEMENTED,
    "flickr.prefs.getPrivacy"                     => NOT_IMPLEMENTED,
    "flickr.prefs.getSafetyLevel"                 => NOT_IMPLEMENTED,

    "flickr.push.getSubscriptions"                => NOT_IMPLEMENTED,
    "flickr.push.getTopics"                       => NOT_IMPLEMENTED,
    "flickr.push.subscribe"                       => NOT_IMPLEMENTED,
    "flickr.push.unsubscribe"                     => NOT_IMPLEMENTED,

    "flickr.reflection.getMethodInfo"             => NOT_IMPLEMENTED,
    "flickr.reflection.getMethods"                => "get_methods",

    "flickr.stats.getCollectionDomains"           => NOT_IMPLEMENTED,
    "flickr.stats.getCollectionReferrers"         => NOT_IMPLEMENTED,
    "flickr.stats.getCollectionStats"             => NOT_IMPLEMENTED,
    "flickr.stats.getCSVFiles"                    => NOT_IMPLEMENTED,
    "flickr.stats.getPhotoDomains"                => NOT_IMPLEMENTED,
    "flickr.stats.getPhotoReferrers"              => NOT_IMPLEMENTED,
    "flickr.stats.getPhotoStats"                  => NOT_IMPLEMENTED,
    "flickr.stats.getPhotosetDomains"             => NOT_IMPLEMENTED,
    "flickr.stats.getPhotosetReferrers"           => NOT_IMPLEMENTED,
    "flickr.stats.getPhotosetStats"               => NOT_IMPLEMENTED,
    "flickr.stats.getPhotostreamDomains"          => NOT_IMPLEMENTED,
    "flickr.stats.getPhotostreamReferrers"        => NOT_IMPLEMENTED,
    "flickr.stats.getPhotostreamStats"            => NOT_IMPLEMENTED,
    "flickr.stats.getPopularPhotos"               => NOT_IMPLEMENTED,
    "flickr.stats.getTotalViews"                  => NOT_IMPLEMENTED,

    "flickr.tags.getClusterPhotos"                => NOT_IMPLEMENTED,
    "flickr.tags.getClusters"                     => NOT_IMPLEMENTED,
    "flickr.tags.getHotList"                      => NOT_IMPLEMENTED,
    "flickr.tags.getListPhoto"                    => NOT_IMPLEMENTED,
    "flickr.tags.getListUser"                     => NOT_IMPLEMENTED,
    "flickr.tags.getListUserPopular"              => NOT_IMPLEMENTED,
    "flickr.tags.getListUserRaw"                  => NOT_IMPLEMENTED,
    "flickr.tags.getMostFrequentlyUsed"           => NOT_IMPLEMENTED,
    "flickr.tags.getRelated"                      => NOT_IMPLEMENTED,

    "flickr.test.echo"                            => NOT_IMPLEMENTED,
    "flickr.test.login"                           => "test_login",
    "flickr.test.null"                            => NOT_IMPLEMENTED,

    "flickr.urls.getGroup"                        => NOT_IMPLEMENTED,
    "flickr.urls.getUserPhotos"                   => NOT_IMPLEMENTED,
    "flickr.urls.getUserProfile"                  => NOT_IMPLEMENTED,
    "flickr.urls.lookupGallery"                   => NOT_IMPLEMENTED,
    "flickr.urls.lookupGroup"                     => NOT_IMPLEMENTED,
    "flickr.urls.lookupUser"                      => NOT_IMPLEMENTED
  }
end
